int main()
{
    int N, i, L, R, temp;
    scanf("%d", &N);
    int A[N], B[N];
    for(i=0; i < N; i++)
       scanf("%d", &A[i]);
    for(i=0; i < N; i++)
       scanf("&d", &B[i]);
    int max=0;
    for(L=0; L < N; L++)
       for(R = L+1; R<N; R++)
       {
           temp=(A[L] ^ A[R] * (B[L] & B[R]);
           if(temp>max)
           max=temp;
       }
    printf("%d", max);
    return 0;
}